using MvCamCtrl.NET;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace irisMemory
{
    public class ProConfig
    {
        private IrisCodeListMgr m_CodeListMgr;  /* 虹膜匹配识别控制类 */
        private MyCamera.MV_CC_DEVICE_INFO_LIST m_pDeviceList; /* 摄像机列表 */

        private static ProConfig _proConfig;

        public IrisCodeListMgr CodeListMgr
        {
            get
            {
                return m_CodeListMgr;
            }

            set
            {
                m_CodeListMgr = value;
            }
        }

        public MyCamera.MV_CC_DEVICE_INFO_LIST PDeviceList
        {
            get
            {
                return m_pDeviceList;
            }

            set
            {
                m_pDeviceList = value;
            }
        }

        private ProConfig()
        {
        }

        public static ProConfig GetInstance()
        {
            if (_proConfig == null)
                _proConfig = new ProConfig();

            return _proConfig;
        }

    }
}